FIX::FieldMap::sorter Class Reference
Collaboration diagram for FIX::FieldMap::sorter:
[legend]

## Public Member Functions

| sorter (const message_order &order)
bool | operator() (int tag, const FieldBase &right) const
bool | operator() (const FieldBase &left, int tag) const
bool | operator() (const FieldBase &left, const FieldBase &right) const

## Private Attributes

const message_order & | m_order

## Detailed Description

Definition at line 49 of file FieldMap.h.

## Constructor & Destructor Documentation

## sorter()

FIX::FieldMap::sorter::sorter | ( | const message_order & | order | ) |

inline explicit

Definition at line 52 of file FieldMap.h.

: m_order( order ) {}
FIX::FieldMap::sorter::m_order
const message_order & m_order
Definition FieldMap.h:70

## Member Function Documentation

## operator()() [1/3]

bool FIX::FieldMap::sorter::operator() | ( | const FieldBase & | left,
|  | const FieldBase & | right
| ) |  | const

inline

Definition at line 64 of file FieldMap.h.

{
return m_order( left.getTag(), right.getTag() );
}

References FIX::FieldBase::getTag(), and m_order.

## operator()() [2/3]

bool FIX::FieldMap::sorter::operator() | ( | const FieldBase & | left,
|  | int | tag
| ) |  | const

inline

Definition at line 59 of file FieldMap.h.

{
return m_order( left.getTag(), tag );
}

References FIX::FieldBase::getTag(), and m_order.

## operator()() [3/3]

bool FIX::FieldMap::sorter::operator() | ( | int | tag,
|  | const FieldBase & | right
| ) |  | const

inline

Definition at line 54 of file FieldMap.h.

{
return m_order( tag, right.getTag() );
}

References FIX::FieldBase::getTag(), and m_order.

## Member Data Documentation

## m_order

const message_order& FIX::FieldMap::sorter::m_order

private

Definition at line 70 of file FieldMap.h.

Referenced by operator()(), operator()(), and operator()().

The documentation for this class was generated from the following file:

- FieldMap.h